clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CodeGen::StaticRTInput Struct Reference

Struct with the values to be passed to the static runtime function. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CGOpenMPRuntime.h"`

Collaboration diagram for clang::CodeGen::StaticRTInput:
[legend]

## Public Member Functions
| StaticRTInput (unsigned IVSize, bool IVSigned, bool Ordered, Address IL, Address LB, Address UB, Address ST, llvm::Value *Chunk=nullptr)

## Public Attributes
unsigned | IVSize = 0
| Size of the iteration variable in bits. More...
bool | IVSigned = false
| Sign of the iteration variable. More...
bool | Ordered = false
| true if loop is ordered, false otherwise. More...
Address | IL = Address::invalid()
| Address of the output variable in which the flag of the last iteration is returned. More...
Address | LB = Address::invalid()
| Address of the output variable in which the lower iteration number is returned. More...
Address | UB = Address::invalid()
| Address of the output variable in which the upper iteration number is returned. More...
Address | ST = Address::invalid()
| Address of the output variable in which the stride value is returned necessary to generated the static_chunked scheduled loop. More...
llvm::Value * | Chunk = nullptr
| Value of the chunk for the static_chunked scheduled loop. More...

## Detailed Description

Struct with the values to be passed to the static runtime function.

Definition at line 973 of file CGOpenMPRuntime.h.

## Constructor & Destructor Documentation

## ◆ StaticRTInput()

clang::CodeGen::StaticRTInput::StaticRTInput | ( | unsigned | IVSize,
|  | bool | IVSigned,
|  | bool | Ordered,
|  | Address | IL,
|  | Address | LB,
|  | Address | UB,
|  | Address | ST,
|  | llvm::Value * | Chunk = `nullptr`
| ) |  |
| inline

Definition at line 995 of file CGOpenMPRuntime.h.

References clang::CodeGen::emitDeclareTargetVarDefinition(), clang::CodeGen::emitDistributeStaticInit(), clang::CodeGen::emitForNext(), clang::CodeGen::emitForOrderedIterationEnd(), clang::CodeGen::emitForStaticFinish(), clang::CodeGen::emitForStaticInit(), clang::CodeGen::emitNumThreadsClause(), clang::CodeGen::emitProcBindClause(), clang::CodeGen::emitThreadPrivateVarDefinition(), clang::CodeGen::getAddrOfArtificialThreadPrivate(), clang::CodeGen::getAddrOfDeclareTargetLink(), and clang::CodeGen::getAddrOfThreadPrivate().

## Member Data Documentation

## ◆ Chunk

llvm::Value* clang::CodeGen::StaticRTInput::Chunk = nullptr

Value of the chunk for the static_chunked scheduled loop.

For the default (nullptr) value, the chunk 1 will be used.

Definition at line 994 of file CGOpenMPRuntime.h.

Referenced by emitForStaticInitCall().

## ◆ IL

Address clang::CodeGen::StaticRTInput::IL = Address::invalid()

Address of the output variable in which the flag of the last iteration is returned.

Definition at line 982 of file CGOpenMPRuntime.h.

## ◆ IVSigned

bool clang::CodeGen::StaticRTInput::IVSigned = false

Sign of the iteration variable.

Definition at line 977 of file CGOpenMPRuntime.h.

Referenced by emitForStaticInitCall().

## ◆ IVSize

unsigned clang::CodeGen::StaticRTInput::IVSize = 0

Size of the iteration variable in bits.

Definition at line 975 of file CGOpenMPRuntime.h.

Referenced by emitForStaticInitCall().

## ◆ LB

Address clang::CodeGen::StaticRTInput::LB = Address::invalid()

Address of the output variable in which the lower iteration number is returned.

Definition at line 985 of file CGOpenMPRuntime.h.

## ◆ Ordered

bool clang::CodeGen::StaticRTInput::Ordered = false

true if loop is ordered, false otherwise.

Definition at line 979 of file CGOpenMPRuntime.h.

Referenced by emitForStaticInitCall().

## ◆ ST

Address clang::CodeGen::StaticRTInput::ST = Address::invalid()

Address of the output variable in which the stride value is returned necessary to generated the static_chunked scheduled loop.

Definition at line 991 of file CGOpenMPRuntime.h.

## ◆ UB

Address clang::CodeGen::StaticRTInput::UB = Address::invalid()

Address of the output variable in which the upper iteration number is returned.

Definition at line 988 of file CGOpenMPRuntime.h.

The documentation for this struct was generated from the following file:

- lib/CodeGen/CGOpenMPRuntime.h